package game

import (
	"fmt"
)

func (gm *Game) setupRound() {
	gm.round = newRound()
	gm.selectQuote()
}

func newRound() Round {
	return Round{
		selections: make(map[string]string, 0),
		revelation: Revelation{
			votes:   make(map[string][]string, 0),
			sources: make(map[string]bool, 0),
		},
	}
}

func (gm *Game) selectQuote() {
	quote, err := gm.getQuoteById("455df6bc-070d-4728-83ab-481ceafa8590")
	if err != nil {
		fmt.Println(err)
		return
	}

	sources := []Source{
		gm.getSourceById(quote.GetSourceId()),
	}

	gm.mu.Lock()
	defer gm.mu.Unlock()

	gm.round.quoteId = quote.GetId()
	gm.round.sources = sources
}

func (gm *Game) getSourceById(id string) Source {
	plInfo, err := gm.getPlayerById(id)
	if err != nil {
		fmt.Println(err)
		return Source{}
	}

	return Source{
		id:   id,
		name: plInfo.name,
	}
}
